Get a specific Trusted Certificate.

Prev Next
Get
/trusted-certificates/{id}

Get a specific Trusted Certificate.

Security
HTTP
Type bearer
Path parameters
id
string (uuid) Required

ID of the object.

Example12699e27-b584-464a-81ee-5b4784b6d425
Responses
200

Single Trusted Certificate.

Expand All
object
id
string (uuid)

ID of the object.

Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
name
string

Name of the object.

Exampleobject
notes
string

Notes for the object. Used for documentation purposes.

ExampleThis object has been created for test purposes.
created
string (date-time)

Create date.

updated
string (date-time)

Last update date.

tags
Array of string

Array of tags.

Example[ "developer", "api-created" ]
string
pem
string (PEM)

A certificate in PEM format.

Example-----BEGIN CERTIFICATE----- .... -----END CERTIFICATE-----
details
object (CertificateDetails)

X509 certificate details.

version
number

X.509 certificate version.

Example3.0
serial
string

X.509 certificate serial number.

Example1542962969512
issuer
string

The issuer name of the certificate.

ExampleCN=Appgate SDP CA
subject
string

The subject name of the certificate.

ExampleCN=Appgate SDP CA
validFrom
string (date-time)

Since when the certificate is valid from.

validTo
string (date-time)

Until when the certificate is valid.

fingerprint
string

SHA256 fingerprint of the certificate.

Exampled30247cee99a056c5ecdc409549165886d02925f9c64b681dff3d2ecf653355f
certificate
string (byte)

Base64 encoded binary of the certificate. Either DER or PEM formatted depending on the request.

subjectPublicKey
string (byte)

Base64 encoded public key of the certificate.

401

Token error. Login again.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

403

Insufficient permissions to access this resource.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

404

The requested resource can not be found.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

406

Invalid 'Accept' header.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

500

Unexpected server side error.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.